JMB Tree Pro not compatible with PHP 7.3?

2 months 3 weeks ago #2613
Topic Author
Håkan Johansson's Avatar
Posts: 22
JMB Tree Pro not compatible with PHP 7.3?

Using PHP version 7.3 creates errors like "Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /home/mbcomlcx/public_html/modules/mod_jmb_tree_pro/helper.php on line 186".

Reverting to version 7.2 solves it. Any plans to improve compatibility? I run Joomla 3.9.10 which is said to be compatible with the higher version.

An extra question, what are your plans around JMB Tree and the coming Joomla 4?

Last edit: 2 months 3 weeks ago by Håkan Johansson.

2 months 2 weeks ago #2617
Dmitry's Avatar
Posts: 810
JMB Tree Pro not compatible with PHP 7.3?

Hi.

Thank you for you report.
Just change continue to break on line 186 of mod_jmb_tree_pro/helper.php. This should solve this warning.

Talking about J4 - we are waiting at least Beta version to start testing our extensions.

Best regards,
Dmitry


Like our extensions and support?
Add your voice to the JED listing with a 5-score review: bit.ly/2ciJBqC
Thanks!

2 months 2 weeks ago #2618
Topic Author
Håkan Johansson's Avatar
Posts: 22
JMB Tree Pro not compatible with PHP 7.3?

Yes, solved it. Thanks! And thanks for the update!

You can get our help: Monday - Friday / 09:00 to 17:00 (GMT+2). but not limited. Our staff will be pleased to provide Premium support to every paid subscriber asap, but sometimes you should be ready to wait for our reply for up to 3 days. In case of free extensions we do the best to develop and maintain them either, but their support is not necessary.

Product Latest Update

Follow us in social media